/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomDocumentType_H__
#define __GdomDocumentType_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomNode.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomDocumentType GdomDocumentType;
typedef struct _GdomDocumentTypeClass GdomDocumentTypeClass;


#define GDOM_TYPE_DOCUMENT_TYPE            (gdom_document_type_get_type())
#define GDOM_DOCUMENT_TYPE(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_DOCUMENT_TYPE, GdomDocumentType))
#define GDOM_DOCUMENT_TYPE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_DOCUMENT_TYPE, GdomDocumentType)Class)
#define GDOM_IS_DOCUMENT_TYPE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_DOCUMENT_TYPE))
#define GDOM_IS_DOCUMENT_TYPE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_DOCUMENT_TYPE))
#define GDOM_DOCUMENT_TYPE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_DOCUMENT_TYPE, GdomDocumentTypeClass))

typedef struct _GdomDocumentTypePrivate GdomDocumentTypePrivate;

struct _GdomDocumentType {
    GdomNode parent_instance;
    GdomDocumentTypePrivate *priv;
};

struct _GdomDocumentTypeClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_document_type_get_type (void);

G_END_DECLS

#endif /* __GdomDocumentType_H__ */
